Asterisk.org: Developer Documentation (28 Oct 2009)

Wed Oct 28 15:49:53 2009

## Asterisk developer's documentation

# sms_s Struct Reference

## Data Fields

char | cli [20]
char | da [20]
unsigned char | dcs
unsigned char | err
unsigned char | hangup
unsigned char | ibitc
unsigned char | ibith
unsigned char | ibitl
unsigned char | ibitn
unsigned char | ibitt
unsigned char | ibytec
unsigned char | ibytep
unsigned char | ibytev
unsigned int | idle
unsigned char | ierr
unsigned short | imag
signed long long | imc0
signed long long | imc1
signed long long | ims0
signed long long | ims1
unsigned char | imsg [200]
unsigned char | ipc0
unsigned char | ipc1
unsigned char | iphasep
unsigned char | ips0
unsigned char | ips1
short | mr
char | oa [20]
unsigned char | obitp
unsigned char | obyte
unsigned char | obyten
unsigned char | obytep
unsigned char | omsg [256]
unsigned int | opause
unsigned char | ophase
unsigned char | ophasep
unsigned char | osync
unsigned char | pid
char | queue [30]
unsigned char | rp:1
unsigned char | rx:1
time_t | scts
unsigned char | smsc:1
unsigned char | srr:1
unsigned short | ud [SMSLEN]
unsigned char | udh [SMSLEN]
unsigned char | udhi:1
int | udhl
int | udl
unsigned int | vp

## Detailed Description

Definition at line 128 of file app_sms.c.

## Field Documentation

char cli[20]

Definition at line 149 of file app_sms.c.

Referenced by sms_exec(), and sms_handleincoming().

char da[20]

Definition at line 136 of file app_sms.c.

Referenced by sms_exec(), sms_handleincoming(), sms_log(), sms_nextoutgoing(), sms_readfile(), and sms_writefile().

unsigned char dcs

Definition at line 139 of file app_sms.c.

Referenced by sms_exec(), sms_handleincoming(), sms_nextoutgoing(), sms_readfile(), and sms_writefile().

unsigned char err

Definition at line 131 of file app_sms.c.

Referenced by sms_exec(), sms_messagerx(), and sms_process().

unsigned char hangup

Definition at line 130 of file app_sms.c.

Referenced by sms_exec(), sms_messagerx(), and sms_process().

unsigned char ibitc

Definition at line 171 of file app_sms.c.

Referenced by sms_process().

unsigned char ibith

Definition at line 178 of file app_sms.c.

Referenced by sms_process().

unsigned char ibitl

Definition at line 170 of file app_sms.c.

Referenced by sms_process().

unsigned char ibitn

Definition at line 173 of file app_sms.c.

Referenced by sms_process().

unsigned char ibitt

Definition at line 179 of file app_sms.c.

Referenced by sms_process().

unsigned char ibytec

Definition at line 176 of file app_sms.c.

Referenced by sms_process().

unsigned char ibytep

Definition at line 175 of file app_sms.c.

Referenced by sms_process().

unsigned char ibytev

Definition at line 174 of file app_sms.c.

Referenced by sms_process().

unsigned int idle

Definition at line 164 of file app_sms.c.

Referenced by sms_process().

unsigned char ierr

Definition at line 177 of file app_sms.c.

Referenced by sms_process().

unsigned short imag

Definition at line 165 of file app_sms.c.

Referenced by sms_process().

signed long long imc0

Definition at line 160 of file app_sms.c.

Referenced by sms_process().

signed long long imc1

Definition at line 160 of file app_sms.c.

Referenced by sms_process().

signed long long ims0

Definition at line 160 of file app_sms.c.

Referenced by sms_process().

signed long long ims1

Definition at line 160 of file app_sms.c.

Referenced by sms_process().

unsigned char imsg[200]

Definition at line 159 of file app_sms.c.

Referenced by sms_handleincoming(), sms_messagerx(), and sms_process().

unsigned char ipc0

Definition at line 166 of file app_sms.c.

Referenced by sms_exec(), and sms_process().

unsigned char ipc1

Definition at line 166 of file app_sms.c.

Referenced by sms_exec(), and sms_process().

unsigned char iphasep

Definition at line 172 of file app_sms.c.

Referenced by sms_process().

unsigned char ips0

Definition at line 166 of file app_sms.c.

Referenced by sms_process().

unsigned char ips1

Definition at line 166 of file app_sms.c.

Referenced by sms_process().

short mr

Definition at line 140 of file app_sms.c.

Referenced by sms_exec(), sms_handleincoming(), sms_log(), sms_nextoutgoing(), sms_readfile(), and sms_writefile().

char oa[20]

Definition at line 135 of file app_sms.c.

Referenced by sms_exec(), sms_handleincoming(), sms_log(), sms_nextoutgoing(), sms_readfile(), and sms_writefile().

unsigned char obitp

Definition at line 154 of file app_sms.c.

Referenced by sms_generate(), and sms_messagetx().

unsigned char obyte

Definition at line 152 of file app_sms.c.

Referenced by sms_generate(), and sms_messagetx().

unsigned char obyten

Definition at line 157 of file app_sms.c.

Referenced by sms_generate(), sms_messagetx(), and sms_process().

unsigned char obytep

Definition at line 156 of file app_sms.c.

Referenced by sms_generate(), and sms_messagetx().

unsigned char omsg[256]

Definition at line 158 of file app_sms.c.

Referenced by sms_exec(), sms_generate(), sms_messagerx(), sms_messagetx(), sms_nextoutgoing(), and sms_process().

unsigned int opause

Definition at line 153 of file app_sms.c.

Referenced by sms_generate(), and sms_messagetx().

unsigned char ophase

Definition at line 150 of file app_sms.c.

Referenced by sms_generate().

unsigned char ophasep

Definition at line 151 of file app_sms.c.

Referenced by sms_generate().

unsigned char osync

Definition at line 155 of file app_sms.c.

Referenced by sms_generate(), sms_messagetx(), and sms_process().

unsigned char pid

Definition at line 138 of file app_sms.c.

Referenced by sms_exec(), sms_handleincoming(), sms_nextoutgoing(), sms_readfile(), and sms_writefile().

char queue[30]

Definition at line 134 of file app_sms.c.

Referenced by sms_exec(), sms_log(), sms_nextoutgoing(), and sms_writefile().

unsigned char rp

Definition at line 145 of file app_sms.c.

Referenced by sms_handleincoming(), sms_nextoutgoing(), sms_readfile(), and sms_writefile().

unsigned char rx

Definition at line 133 of file app_sms.c.

Referenced by sms_exec(), sms_handleincoming(), sms_log(), sms_nextoutgoing(), sms_readfile(), and sms_writefile().

time_t scts

Definition at line 137 of file app_sms.c.

Referenced by sms_exec(), sms_handleincoming(), sms_nextoutgoing(), sms_readfile(), and sms_writefile().

unsigned char smsc

Definition at line 132 of file app_sms.c.

Referenced by sms_exec(), sms_handleincoming(), sms_log(), sms_nextoutgoing(), and sms_writefile().

unsigned char srr

Definition at line 143 of file app_sms.c.

Referenced by sms_exec(), sms_handleincoming(), sms_nextoutgoing(), sms_readfile(), and sms_writefile().

unsigned short ud[SMSLEN]

Definition at line 147 of file app_sms.c.

Referenced by sms_exec(), sms_handleincoming(), sms_log(), sms_nextoutgoing(), sms_readfile(), and sms_writefile().

unsigned char udh[SMSLEN]

Definition at line 148 of file app_sms.c.

Referenced by sms_exec(), sms_handleincoming(), sms_nextoutgoing(), sms_readfile(), and sms_writefile().

unsigned char udhi

Definition at line 144 of file app_sms.c.

Referenced by sms_handleincoming(), sms_nextoutgoing(), sms_readfile(), and sms_writefile().

int udhl

Definition at line 142 of file app_sms.c.

Referenced by sms_exec(), sms_handleincoming(), sms_nextoutgoing(), sms_readfile(), and sms_writefile().

int udl

Definition at line 141 of file app_sms.c.

Referenced by sms_exec(), sms_handleincoming(), sms_log(), sms_nextoutgoing(), sms_readfile(), and sms_writefile().

unsigned int vp

Definition at line 146 of file app_sms.c.

Referenced by sms_handleincoming(), sms_nextoutgoing(), sms_readfile(), and sms_writefile().

The documentation for this struct was generated from the following file:

- app_sms.c